# geos::operation::valid::IndexedNestedRingTester Class Reference

Tests whether any of a set of LinearRings are nested inside another ring in the set, using a spatial index to speed up the comparisons. More...

`#include <IndexedNestedRingTester.h>`

List of all members.

## Public Member Functions

| IndexedNestedRingTester (geomgraph::GeometryGraph *newGraph)
const geom::Coordinate * | getNestedPoint () const
void | add (const geom::LinearRing *ring)
bool | isNonNested ()

## Detailed Description

Tests whether any of a set of LinearRings are nested inside another ring in the set, using a spatial index to speed up the comparisons.

## Member Function Documentation

void geos::operation::valid::IndexedNestedRingTester::add | ( | const geom::LinearRing * | ring ) | `[inline]`

Parameters:

  ring | : ownership retained by caller

The documentation for this class was generated from the following file:

- IndexedNestedRingTester.h